//
//  PokktIGAContainer.hpp
//  Cocos2dxV3xPlugin
//
//  Created by Subhendu Sekhar Sahu on 30/03/17.
//
//

#ifndef PokktIGAContainer_h
#define PokktIGAContainer_h

#include <stdio.h>
#include "IGAAssetInfo.h"

typedef enum { Hoarding, Banner, Collectible, Boost } PokktIGAType;

namespace pokkt
{
    class PokktIGAProperties
    {
    public:
        int adType;
    };
    
    class PokktIGAContainer : public cocos2d::Sprite
    {
        
    private:
        bool _isPlaced;
        bool _isSeen;
        bool _isCollected;
        
    public:
        PokktIGAProperties *IGAObject;
        IGAAssetInfo *_assetInfo;
        
        void Start();
        void Update();
        void notifyCollected();
        void AssignAsset();
        
        static PokktIGAContainer* AddIGAContainer(cocos2d::Node * go);

        static PokktIGAContainer* AddIGAHoarding(cocos2d::Node * go);
        
        static PokktIGAContainer* AddIGABanner(cocos2d::Node * go);
        
        static PokktIGAContainer* AddIGACollectible(cocos2d::Node * go);
        
        static PokktIGAContainer* AddIGABoost(cocos2d::Node * go);
        
        void LoadImageInContainer(); //TODO: Need to know Load Image In Container
        
//        public IEnumerator LoadImageInContainer()

        
    };
}

#endif /* PokktIGAContainer_hpp */
